/*
 * nlsop headers
 *
 * author: hackbard@hackdaworld.dyndns.org
 *
 */

#ifndef NLSOP_H
#define NLSOP_H

typedef unsigned int u32;

typedef struct __info
{
 int cc,steps,range,diff_rate,cpi,c_sat;
 double a_ap,b_ap,a_cp,dr_ac,dr_cc;
 char z_diff,c_diff;
} info;

#define AMORPH 1

#define X 64
#define Y 64
#define Z 233

#define STEPS 100000000
#define RANGE 5
#define REFRESH 100000
#define RESAVE 10000000

#define CC 0

#define DR_AC .5
#define DR_CC .2
#define DIFF_RATE 1000

#define A_AP .0005
#define B_AP .0

#define A_CP .00001

#define MAX_CHARS 128
#define MAX_TXT 32
#define MAX_ARGV 27

#define IMP_PROFILE "imp-profile.txt"
#define NEL_PROFILE "nel-profile.txt"

#define CELL_LENGTH 3 /* nm */

#define CPI 20

#define C_SAT (6*6*6*8)

#define FFT_HEIGHT 64

#endif /* NLSOP_H */
